body {
    color: #4f5057 !important
}

.card.compact .card-body {
    padding: 0.4rem;
}

    .card.compact .card-body.no-pad {
        padding: 0;
    }

.card.compact .card-header {
    padding: 5px 10px;
    text-align: center;
}

    .card.compact .card-header h6 {
        font-size: 0.7rem;
    }

.section-tr {
    padding: 0.3rem 0.4rem;
    cursor: pointer;
}

    .section-tr:hover {
        background-color: rgb(0 135 155 / 10%) !important;
    }

.overview {
    cursor: pointer;
}

.div-link-effect:hover, .div-link-effect:hover i {
    color: #00879b !important;
}

.overview .left-section-icon {
    padding-left: 7px;
    padding-right: 5px;
    width: auto !important;
    flex-basis: unset;
    flex-grow: unset;
    margin-top: 6px
}

.left-section-icon i, .left-section-icon input[type=checkbox] {
    vertical-align: middle;
}

.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
    padding-left: 0.35rem !important;
    padding-right: 0.35rem !important;
}

.row {
    margin-right: -0.35rem !important;
    margin-left: -0.35rem !important;
}

.mtb-8 {
    margin-top: 8px !important;
    margin-bottom: 8px !important;
}

.fix-hight-1 {
    /*height: calc(100vh/3 - 24px);*/
    overflow-x: hidden;
}

.fix-hight-2 {
    /*height: calc(100vh/3);*/
    overflow-x: hidden;
}
    /* Scrollbar css */
    .fix-hight-1::-webkit-scrollbar-track, .fix-hight-2::-webkit-scrollbar-track, .scrollable-section::-webkit-scrollbar-track {
        border-radius: 10px;
    }

    .fix-hight-1::-webkit-scrollbar, .fix-hight-2::-webkit-scrollbar, .scrollable-section::-webkit-scrollbar {
        width: 5px;
    }

    .fix-hight-1::-webkit-scrollbar-thumb, .fix-hight-2::-webkit-scrollbar-thumb, .scrollable-section::-webkit-scrollbar-thumb {
        border-radius: 10px;
        background-color: #c3c8c9f7;
    }

.text-light-gray {
    opacity: 0.3;
}

.height-92 {
    height: calc(100% - 2.7rem);
}

.height-50per {
    height: calc(100VH / 1.35 - 300px / 3);
}

.scrollable-section {
    overflow-y: scroll;
    overflow-x: hidden;
}

.bg-gray {
    background-color: #f1f1f1 !important;
}

.red-card-header {
    background-color: #d30c5c !important;
    color: #f1f1f1;
}

.green-card-header {
    background-color: #00879b !important;
    color: #f1f1f1;
}

.bottom-seperator {
    border-bottom: 1px solid #d9baba42;
    padding-bottom: 5px;
}

.progress-bar-month {
    line-height: 1;
}

.progress-bar-right {
    line-height: 0.3;
    padding-top: 2px
}

/*Progress bar color*/
.progress-bar.bg-cg1 {
    background-color: #71b0f6 !important;
}

.progress-bar.bg-cg2 {
    background-color: #67d0ef !important;
}

.progress-bar.bg-cg3 {
    background-color: #73e8bd !important;
}

.progress-bar.bg-cg4 {
    background-color: #8fd78e !important;
}

.progress-bar.bg-cg5 {
    background-color: #b7e089 !important;
}

.progress-bar.bg-cg6 {
    background-color: #f1dc70 !important;
}

.progress-bar.bg-cg7 {
    background-color: #f9ba70 !important;
}

.progress-bar.bg-cg8 {
    background-color: #f89f80 !important;
}

.progress-bar.bg-cg9 {
    background-color: #f28db2 !important;
}

.progress-bar.bg-cg10 {
    background-color: #cd7be2 !important;
}

.progress-bar.bg-cg11 {
    background-color: #aa6cf0 !important;
}

.progress-bar.bg-cg12 {
    background-color: #978cec !important;
}

.trunc {
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card .card-header .right-actions {
    line-height: 0;
}

    .card .card-header .right-actions i {
        font-size: 0.8rem;
    }

.bg-highlight {
    background-color: rgb(0 135 155 / 10%);
}

.modal-header {
    padding: 0.4rem 1rem !important;
}

.modal-title {
    font-size: 1rem !important;
}

.modal-footer {
    padding: 0.1rem !important;
}

.modal-content {
    border: 1px solid #9fa3af !important;
}





/* Timeline css starts*/
.timeline {
    border-right: 3px solid #00879b;
    /* border-bottom-right-radius: 2px; */
    /* border-top-right-radius: 2px; */
    /* background: rgba(114, 124, 245, 0.09); */
    /* margin: 0 auto; */
    letter-spacing: 0.2px;
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;
    padding: 0px;
    list-style: none;
    text-align: left;
    max-width: 80%;
}

@media (max-width: 767px) {
    .timeline {
        max-width: 98%;
        /* padding: 25px;*/
        border-right: 0px;
        border-left: 3px solid #00879b
    }

        .timeline h3 {
            margin-left: 10px;
        }

        .timeline .event:before {
            left: 10px !important;
        }

        .timeline .event:after {
            left: -3.8px !important;
        }
}

.timeline h1 {
    font-weight: 300;
    font-size: 1.4em;
}

.timeline h2,
.timeline h3 {
    font-weight: 600;
    font-size: 0.9rem;
    margin-bottom: 2px;
}

.timeline .event {
    /*border-bottom: 1px dashed #b8c5df;*/
    padding-bottom: 0px;
    margin-bottom: 15px;
    position: relative;
}

@media (max-width: 767px) {
    .timeline .event {
        padding-top: 30px;
    }
}

.timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
}

.timeline .event:before,
.timeline .event:after {
    position: absolute;
    display: block;
    top: 0;
}

.timeline .event:before {
    right: -95px;
    content: attr(data-date);
    text-align: right;
    /* font-weight: 100; */
    font-size: 0.9em;
    min-width: 120px;
}

@media (max-width: 767px) {
    .timeline .event:before {
        left: 0px;
        text-align: left;
    }
}

.timeline .event:after {
    -webkit-box-shadow: 0 0 0 3px #00879b;
    box-shadow: 0 0 0 3px #00879b;
    right: -3.7px;
    background: #fff;
    border-radius: 50%;
    height: 5px;
    width: 5px;
    content: "";
    top: 3px;
}

@media (max-width: 767px) {
    .timeline .event:after {
        left: -31.8px;
    }
}

.rtl .timeline {
    border-left: 0;
    text-align: right;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    border-right: 3px solid #727cf5;
}

    .rtl .timeline .event::before {
        left: 0;
        right: -170px;
    }

    .rtl .timeline .event::after {
        left: 0;
        right: -55.8px;
    }



.transactionItem {
    list-style: none;
    position: relative;
    text-align: left;
    padding: 0px;
}

    .transactionItem .item {
        padding: 6px 10px;
        margin-bottom: 5px;
        background: #efefefdb;
    }

.transactionTitle, .transactionAmount {
    font-size: 0.934rem;
    font-weight: 700;
}

    .transactionTitle span {
        font-size: 0.7rem;
        font-weight: 400;
    }

.transactionItem .item .badge {
    color: #4f5057;
    display: inline-block;
    padding: 0.35em 0.4em;
    font-size: 80%;
    font-weight: 600;
    line-height: 1.3;
}

/* Timeline css ends*/
.badge-white {
    background: white;
    color: #000
}

.clickableLabel {
    padding: 0.2em 0.5em;
    border: 2px dotted #ffffff;
    border-radius: 3px;
    cursor: pointer;
    color: #ffffff;
    display: inline-block;
}

#transactionFilter {
    font-size: 0.8rem !important;
}

.modal-header.centeredText {
    align-items: unset !important;
}

    .modal-header.centeredText .close {
        top: 5px;
        right: 10px
    }

.calendarDateBox {
    width: 1.9em;
    height: 1.9em;
    border-radius: 3px;
    background-color: #ffffff;
    position: relative;
    text-align: center;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    font-weight: 800;
    font-size: 1.75em;
    line-height: 1.80em;
    padding: 0;
    color: #0e293e;
    /*box-shadow: 0px 0px 2.5px 0.5px #00879b3d;*/
}

    .calendarDateBox .calendarMonth {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        background-color: #00879b;
        color: #ffffff;
        font-size: 0.5em;
        height: 1em;
        line-height: 1em;
        border-radius: 3px 3px 0 0;
    }

    .calendarDateBox .calendarPeriod {
        position: absolute;
        bottom: 0.3em;
        left: 0;
        right: 0;
        font-size: 0.4em;
        height: 0.8em;
        line-height: 0.8em;
        font-family: 'Roboto', Helvetica, Arial, sans-serif;
        font-weight: 400;
    }

    .calendarDateBox sup {
        font-size: 0.5em !important;
    }

.calendarDay {
    padding-top: 5px;
    font-size: 0.91em;
    letter-spacing: -1px;
}

.info_important {
    font-weight: 800;
    color: #000000;
}

.text-bold {
    font-weight: 800 !important;
}

.text-big {
    font-weight: 700;
    font-size: 1rem;
}

.linkedTransactionItem {
    border: 2px #d8e6e6 dotted;
    margin-left: 2em;
    font-size: 12.42px;
    background-color: #ffffff;
    margin-bottom: 0.5em;
    margin-top: 2px;
    position: relative;
    border-radius: 3px;
    padding: 2px;
    min-height: 2em;
}

    .linkedTransactionItem::before {
        font-size: 12.42px;
        display: block;
        border-left: 2px #b8c6c5 solid;
        border-bottom: 2px #b8c6c5 solid;
        content: '';
        width: 0.8em;
        height: 1.5em;
        position: absolute;
        border-bottom-left-radius: 3px;
        z-index: 1;
        margin-top: -6px;
        top: 0;
        left: -1.1em;
    }

    .linkedTransactionItem::after {
        font-size: 12.42px;
        margin-top: -6px;
        display: block;
        border-right: 2px #b8c6c5 solid;
        border-top: 2px #b8c6c5 solid;
        content: '';
        width: 0.5em;
        height: 0.5em;
        position: absolute;
        z-index: 5;
        top: 1.35em;
        left: -0.7em;
        transform-origin: 100% 50%;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }


.eventBigIcon {
    font-size: 1.4em;
    margin-top: 0.3em;
}


.eventListContainer .btn-header-link:before {
    content: "\f106";
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    float: right;
    /*position: absolute;
    top: 20px;
    right: 30px;*/
}

.eventListContainer .btn-header-link.collapsed:before {
    content: "\f107" !important;
    /*position: absolute;
    top: 20px;
    right: 30px;*/
}

.eventListContainer .eventItem {
    background: white;
    padding: 10px;
    border: 2px dotted rgb(216, 230, 230);
}

.modal {
    overflow: auto !important;
}

#customerPersonalDetail .card, #events .card, #debitcards .card, #financialServices .card, #gamblingBetting .card, #incomeAnalysis .card, #balanceHistory .card, #regularOutgoings .card {
    height: calc(100VH / 3 - 88px / 3);
    min-height: 10.7rem;
}

.toast-top-right {
    margin-top: 3rem !important;
}

.toast-info {
    background-color: #00879b !important;
}



/* Absolute Center Spinner start */
.loading {
    display: none;
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: -150px !important;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Transparent Overlay */
.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgb(255 255 255 / 90%), rgb(247 244 244 / 80%));
    background: -webkit-radial-gradient(rgb(255 255 255 / 90%), rgb(247 244 244 / 80%));
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.loading:not(:required):after {
    content: '';
    display: block;
    font-size: 12px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 142ms infinite linear;
    -moz-animation: spinner 142ms infinite linear;
    -ms-animation: spinner 142ms infinite linear;
    -o-animation: spinner 142ms infinite linear;
    animation: spinner 142ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(0,135,155, 0.75) 1.5em 0 0 0, rgba(0,135,155, 0.75) 1.1em 1.1em 0 0, rgba(0,135,155, 0.75) 0 1.5em 0 0, rgba(0,135,155, 0.75) -1.1em 1.1em 0 0, rgba(0,135,155, 0.75) -1.5em 0 0 0, rgba(0,135,155, 0.75) -1.1em -1.1em 0 0, rgba(0,135,155, 0.75) 0 -1.5em 0 0, rgba(0,135,155, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(0,135,155, 0.75) 1.5em 0 0 0, rgba(0,135,155, 0.75) 1.1em 1.1em 0 0, rgba(0,135,155, 0.75) 0 1.5em 0 0, rgba(0,135,155, 0.75) -1.1em 1.1em 0 0, rgba(0,135,155, 0.75) -1.5em 0 0 0, rgba(0,135,155, 0.75) -1.1em -1.1em 0 0, rgba(0,135,155, 0.75) 0 -1.5em 0 0, rgba(0,135,155, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* Absolute Center Spinner end */

.col-6.text-right {
    padding: 0px !important;
}

.list-of-event .eventListContainer:nth-child(n+5) {
    display: none;
}
.readmore-link {
    cursor: pointer;  
}